I'm getting an error 500 message when trying to access salary surveys

XpertHR Salary surveys is only compatible with versions of Internet Explorer 7 or higher. We recommend upgrading your version of Internet Explorer or using another browser such as Mozilla Firefox or Google Chrome.